Bug 819224 - emacs copy/paste changes are ugly
emacs copy/paste changes are ugly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 14:56 EDT by Need Real Name
Modified: 2013-03-03 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 10:54:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2012-05-05 14:56:34 EDT
F17 has emacs-23.4 , which has copy/paste working like MS-Windows notepad style.

Many people this is extremely inconvenient.
Is there a way to switch it back, as it used to be for ages.

The only way I found to fix this is to 
download, recompile & install emacs-23.3-9
from  F16
Comment 1 Karel Klíč 2012-05-21 10:54:14 EDT
Hello,

the emacs package in Fedora mostly follows upstream changes, especially controversial changes such as the default behavior of text selection.

I'm not sure how to switch it back.  You can ask on the help-gnu-emacs@gnu.org mailing list.  Here is its subscription form (and archives -- maybe the solution can be found there):

https://lists.gnu.org/mailman/listinfo/help-gnu-emacs
Comment 2 Tom Hughes 2012-05-25 10:34:28 EDT
The answer is to set "x-select-enable-primary" to true to have cut/paste set the X primary selection, and possibly to set "x-select-enable-clipboard" to nil if you don't want it to set the X clipboard selection.

Note that the first of these is essential if you use mouse-sel mode, or pasting of mouse selections won't work.
Comment 3 Karel Klíč 2012-05-25 10:56:35 EDT
Thank you for posting the answer!
Comment 4 Need Real Name 2012-07-28 18:07:16 EDT
x-select-enable-primary=on
x-select-enable-clipboard=off
still not enough to get old selection style.
just an example:
open two emacs windows with the same file.
Start randomly marking a piece of text in first and second window.
After that in window 1 mark some piece of text 
and try to paste it in window 2 using middle button of mouse.
Most likely you will get wrong text pasted.
The result is always correct if I do Alt-w after marking a text,
but many people want it as it was in X Window system for ages:
mark text, then paste using middle button.
Emacs Alt-w was a bonus to paste old selections.

How can I get rid of these new emacs changes and have it the way it was for ages.

Note You need to log in before you can comment on or make changes to this bug.